Bug 184806 - [PATCH] devel/hs-vector: does not build on 10.x (likely lang/ghc problem)
[PATCH] devel/hs-vector: does not build on 10.x (likely lang/ghc problem)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: haskell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-16 16:30 UTC by amdmi3
Modified: 2014-01-12 16:07 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2013-12-16 16:30:00 UTC
Likely after iconv-related changes in 10.x:

--- hs-vector.log begins here ---
===>  Found saved configuration for hs-vector-0.10.0.1_2
===>   hs-vector-0.10.0.1_2 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by hs-vector-0.10.0.1_2 for building
===>  Extracting for hs-vector-0.10.0.1_2
=> SHA256 Checksum OK for cabal/vector-0.10.0.1.tar.gz.
===>  Patching for hs-vector-0.10.0.1_2
===>   hs-vector-0.10.0.1_2 depends on executable: ghc - found
===>   hs-vector-0.10.0.1_2 depends on package: ghc>=7.6.3 - found
===>   hs-vector-0.10.0.1_2 depends on package: hs-primitive>=0.5 - found
===>   hs-vector-0.10.0.1_2 depends on executable: gcc46 - found
===>   hs-vector-0.10.0.1_2 depends on file: /usr/local/bin/as - found
===>  Configuring for hs-vector-0.10.0.1_2
[1 of 1] Compiling Main             ( Setup.hs, Setup.o )
Linking ./setup ...
Configuring vector-0.10.0.1...
===>  Building for hs-vector-0.10.0.1_2
Building vector-0.10.0.1...
Preprocessing library vector-0.10.0.1...
[ 1 of 19] Compiling Data.Vector.Storable.Internal ( Data/Vector/Storable/Internal.hs, dist/build/Data/Vector/Storable/Internal.o )
[ 2 of 19] Compiling Data.Vector.Fusion.Util ( Data/Vector/Fusion/Util.hs, dist/build/Data/Vector/Fusion/Util.o )
[ 3 of 19] Compiling Data.Vector.Fusion.Stream.Size ( Data/Vector/Fusion/Stream/Size.hs, dist/build/Data/Vector/Fusion/Stream/Size.o )

Data/Vector/Fusion/Stream/Size.hs:25:10: Warning:
    No explicit method or default declaration for `*'
    In the instance declaration for `Num Size'

Data/Vector/Fusion/Stream/Size.hs:25:10: Warning:
    No explicit method or default declaration for `abs'
    In the instance declaration for `Num Size'

Data/Vector/Fusion/Stream/Size.hs:25:10: Warning:
    No explicit method or default declaration for `signum'
    In the instance declaration for `Num Size'
[ 4 of 19] Compiling Data.Vector.Internal.Check ( Data/Vector/Internal/Check.hs, dist/build/Data/Vector/Internal/Check.o )
[ 5 of 19] Compiling Data.Vector.Fusion.Stream.Monadic ( Data/Vector/Fusion/Stream/Monadic.hs, dist/build/Data/Vector/Fusion/Stream/Monadic.o )
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... ghc: /usr/local/lib/ghc-7.6.3/base-4.6.0.1/HSbase-4.6.0.1.o: unknown symbol `iconv_open'
ghc: unable to load package `base'
*** Error code 1

Stop.
make[1]: stopped in /usr/home/amdmi3/projects/freebsd/ports/devel/hs-vector
*** Error code 1

Stop.
make: stopped in /usr/home/amdmi3/projects/freebsd/ports/devel/hs-vector
--- hs-vector.log ends here ---

Port maintainer (haskell@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-12-16 16:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->haskell

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=184806 

Date: Mon, 16 Dec 2013 18:06:35 +0100
Comment 2 amdmi3 2013-12-16 19:56:48 UTC
* Gabor Pali (pgj@FreeBSD.org) wrote:

> Thanks for the report -- I would have fixed this problem earlier if
> there was a heads-up (or an exp-run) associated to this change.  (Or
> there was one, but I missed it...?)

Not sure. There likely shuld have been, as it's pretty serious change,
but maybe it was not as public as it could, since it only applies to
current (10-stable as well now).

> Could you please try the attached patch?  This is for lang/ghc, to be
> placed under "files", so you will have to rebuild GHC, then try to
> build devel/hs-vector.

This works, thanks. However it doesn't look as a correct fix, as all
other stuff just work out of box without declaring private symbols.

Also, after rebuilding ghc I've discovered that after its
reinstallation, haskell packages have trouble finding each other. The
very same hs-vector:

--- vector.log begins here ---
=1B]0;portmaster: hs-vector-0.10.0.1_3=07
=3D=3D=3D>>> Currently installed version: hs-vector-0.10.0.1_3
=3D=3D=3D>>> Port directory: /usr/ports/devel/hs-vector

=3D=3D=3D>>> Launching 'make checksum' for devel/hs-vector in background
=3D=3D=3D>>> Gathering dependency list for devel/hs-vector from ports

=3D=3D=3D>>> The dependency for lang/gcc
       seems to be handled by gcc46-4.6.4_1,1

=3D=3D=3D>>> Initial dependency check complete for devel/hs-vector

=1B]0;portmaster: hs-vector-0.10.0.1_3=07
=3D=3D=3D>>> Starting build for devel/hs-vector <<<=3D=3D=3D

=3D=3D=3D>>> All dependencies are up to date

=3D=3D=3D>  Cleaning for hs-vector-0.10.0.1_3
=3D=3D=3D>  Found saved configuration for hs-vector-0.10.0.1_2
=3D=3D=3D>   hs-vector-0.10.0.1_3 depends on file: /usr/local/sbin/pkg - fo=
und
=3D=3D=3D> Fetching all distfiles required by hs-vector-0.10.0.1_3 for buil=
ding
=3D=3D=3D>  Extracting for hs-vector-0.10.0.1_3
=3D> SHA256 Checksum OK for cabal/vector-0.10.0.1.tar.gz.
=3D=3D=3D>  Patching for hs-vector-0.10.0.1_3
=3D=3D=3D>   hs-vector-0.10.0.1_3 depends on executable: ghc - found
=3D=3D=3D>   hs-vector-0.10.0.1_3 depends on package: ghc>=3D7.6.3 - found
=3D=3D=3D>   hs-vector-0.10.0.1_3 depends on package: hs-primitive>=3D0.5 -=
 found
=3D=3D=3D>   hs-vector-0.10.0.1_3 depends on executable: gcc46 - found
=3D=3D=3D>   hs-vector-0.10.0.1_3 depends on file: /usr/local/bin/as - found
=3D=3D=3D>  Configuring for hs-vector-0.10.0.1_3
[1 of 1] Compiling Main             ( Setup.hs, Setup.o )
Linking ./setup ...
Configuring vector-0.10.0.1...
setup: At least the following dependencies are missing:
primitive >=3D0.5.0.1 && <0.6
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/hs-vector
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/hs-vector

=3D=3D=3D>>> make failed for devel/hs-vector
=3D=3D=3D>>> Aborting update

=3D=3D=3D>>> Killing background jobs
Terminated

=3D=3D=3D>>> You can restart from the point of failure with this command li=
ne:
       portmaster <flags> devel/hs-vector=20

=3D=3D=3D>>> Exiting
--- vector.log ends here ---

After rebuilding hs-primitive, hs-vector builds fine.

--=20
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Gabor Pali freebsd_committer 2013-12-16 20:29:21 UTC
On Mon, Dec 16, 2013 at 8:56 PM, Dmitry Marakasov <amdmi3@amdmi3.ru> wrote:
> Not sure. There likely shuld have been, as it's pretty serious change,
> but maybe it was not as public as it could, since it only applies to
> current (10-stable as well now).

Yes, and apparently it applies to 10.0-RC1 as well... (as I
experienced that same error with that).

> However it doesn't look as a correct fix, as all
> other stuff just work out of box without declaring private symbols.

I know -- I have chatted with kib about the nature of the change, and
tried to teach the GHC libraries how to pick up the iconv_*() symbols.
 This works as it should for the dynamically linked files (.so)
without any changes, but it will not work for the plain .o files that
GHCi uses as GHC has its own run-time linker in the RTS.  Therefore I
had to hack this around to make sure that the GHC linker will find the
right symbols, too.  For what it is worth, Kostik suggested to do

$ ld -r -o foo_with_iconv.o foo.o /usr/lib/libc_nonshared.a

to avoid the problem, but I could not shoehorn this another round of
symbol resolution into GHC's build system.  Thus I simply felt it
easier to just add them directly to the C file, as the result is
basically the same.

> Also, after rebuilding ghc I've discovered that after its
> reinstallation, haskell packages have trouble finding each other. The
> very same hs-vector:

Yes, that is because GHC resets the package database on reinstall.
Comment 4 Mark Linimon freebsd_committer 2013-12-18 01:54:27 UTC
State Changed
From-To: open->open

incorporating misfiled PRs. 


Comment 5 Mark Linimon freebsd_committer 2013-12-18 01:54:27 UTC
Responsible Changed
From-To: haskell->haskell
Comment 6 dfilter freebsd_committer 2014-01-09 21:30:09 UTC
Author: pgj
Date: Thu Jan  9 21:29:39 2014
New Revision: 339285
URL: http://svnweb.freebsd.org/changeset/ports/339285

Log:
  - Fix a run-time problem with lang/ghc on FreeBSD 10.0 and later, caused by
    the iconv changes (basically GHCi was rendered unusable)
  - Fix build for x11-toolkits/hs-wxc, while here
  - Bump port revision for all Haskell Cabal ports as they have to be rebuilt
  
  PR:		ports/184806
  Reported by:	many
  Obtained from:	FreeBSD Haskell
  MFH:		2014Q1

Added:
  head/lang/ghc/files/patch-libraries__base__cbits__iconv.c   (contents, props changed)
  head/x11-toolkits/hs-wxc/files/patch-wxc.cabal   (contents, props changed)
Modified:
  head/archivers/hs-tar/Makefile
  head/archivers/hs-zip-archive/Makefile
  head/archivers/hs-zlib-bindings/Makefile
  head/archivers/hs-zlib-conduit/Makefile
  head/archivers/hs-zlib-enum/Makefile
  head/archivers/hs-zlib/Makefile
  head/audio/hs-ALUT/Makefile
  head/audio/hs-OpenAL/Makefile
  head/audio/hs-libmpd/Makefile
  head/benchmarks/hs-criterion/Makefile
  head/converters/hs-aeson/Makefile
  head/converters/hs-dataenc/Makefile
  head/converters/hs-json/Makefile
  head/databases/hs-mysql/Makefile
  head/databases/hs-persistent-sqlite/Makefile
  head/databases/hs-persistent-template/Makefile
  head/databases/hs-persistent/Makefile
  head/devel/hs-BNFC/Makefile
  head/devel/hs-Boolean/Makefile
  head/devel/hs-ConfigFile/Makefile
  head/devel/hs-HUnit/Makefile
  head/devel/hs-IORefCAS/Makefile
  head/devel/hs-IfElse/Makefile
  head/devel/hs-List/Makefile
  head/devel/hs-MaybeT/Makefile
  head/devel/hs-MemoTrie/Makefile
  head/devel/hs-MissingH/Makefile
  head/devel/hs-MonadCatchIO-mtl/Makefile
  head/devel/hs-MonadCatchIO-transformers/Makefile
  head/devel/hs-MonadRandom/Makefile
  head/devel/hs-ObjectName/Makefile
  head/devel/hs-PSQueue/Makefile
  head/devel/hs-QuickCheck/Makefile
  head/devel/hs-ReadArgs/Makefile
  head/devel/hs-SafeSemaphore/Makefile
  head/devel/hs-StateVar/Makefile
  head/devel/hs-Stream/Makefile
  head/devel/hs-Tensor/Makefile
  head/devel/hs-TypeCompose/Makefile
  head/devel/hs-abstract-deque/Makefile
  head/devel/hs-abstract-par/Makefile
  head/devel/hs-activehs-base/Makefile
  head/devel/hs-alex/Makefile
  head/devel/hs-ansi-terminal/Makefile
  head/devel/hs-ansi-wl-pprint/Makefile
  head/devel/hs-arrows/Makefile
  head/devel/hs-asn1-data/Makefile
  head/devel/hs-asn1-types/Makefile
  head/devel/hs-async/Makefile
  head/devel/hs-attempt/Makefile
  head/devel/hs-base-unicode-symbols/Makefile
  head/devel/hs-base16-bytestring/Makefile
  head/devel/hs-base64-bytestring/Makefile
  head/devel/hs-base64-conduit/Makefile
  head/devel/hs-basic-prelude/Makefile
  head/devel/hs-bifunctors/Makefile
  head/devel/hs-bits-atomic/Makefile
  head/devel/hs-blaze-builder-conduit/Makefile
  head/devel/hs-blaze-builder-enumerator/Makefile
  head/devel/hs-blaze-builder/Makefile
  head/devel/hs-blaze-textual/Makefile
  head/devel/hs-bloomfilter/Makefile
  head/devel/hs-bsd-sysctl/Makefile
  head/devel/hs-byteorder/Makefile
  head/devel/hs-bytestring-nums/Makefile
  head/devel/hs-bytestring-show/Makefile
  head/devel/hs-c2hs/Makefile
  head/devel/hs-cabal-install/Makefile
  head/devel/hs-cereal/Makefile
  head/devel/hs-checkers/Makefile
  head/devel/hs-classy-prelude-conduit/Makefile
  head/devel/hs-classy-prelude/Makefile
  head/devel/hs-cmdargs/Makefile
  head/devel/hs-conduit/Makefile
  head/devel/hs-configurator/Makefile
  head/devel/hs-convertible/Makefile
  head/devel/hs-cpphs/Makefile
  head/devel/hs-darcs/Makefile
  head/devel/hs-data-default-class/Makefile
  head/devel/hs-data-default-instances-base/Makefile
  head/devel/hs-data-default-instances-containers/Makefile
  head/devel/hs-data-default-instances-dlist/Makefile
  head/devel/hs-data-default-instances-old-locale/Makefile
  head/devel/hs-data-default/Makefile
  head/devel/hs-data-pprint/Makefile
  head/devel/hs-date-cache/Makefile
  head/devel/hs-datetime/Makefile
  head/devel/hs-directory-tree/Makefile
  head/devel/hs-dlist/Makefile
  head/devel/hs-edit-distance/Makefile
  head/devel/hs-either/Makefile
  head/devel/hs-enumerator/Makefile
  head/devel/hs-errors/Makefile
  head/devel/hs-extensible-exceptions/Makefile
  head/devel/hs-failure/Makefile
  head/devel/hs-fast-logger/Makefile
  head/devel/hs-fgl/Makefile
  head/devel/hs-file-embed/Makefile
  head/devel/hs-filemanip/Makefile
  head/devel/hs-filestore/Makefile
  head/devel/hs-filesystem-conduit/Makefile
  head/devel/hs-fsnotify/Makefile
  head/devel/hs-gconf/Makefile
  head/devel/hs-generic-deriving/Makefile
  head/devel/hs-geniplate/Makefile
  head/devel/hs-ghc-events/Makefile
  head/devel/hs-ghc-mtl/Makefile
  head/devel/hs-ghc-paths/Makefile
  head/devel/hs-gio/Makefile
  head/devel/hs-git-annex/Makefile
  head/devel/hs-glade/Makefile
  head/devel/hs-glib/Makefile
  head/devel/hs-gtk2hs-buildtools/Makefile
  head/devel/hs-haddock/Makefile
  head/devel/hs-happy/Makefile
  head/devel/hs-hashable/Makefile
  head/devel/hs-hashed-storage/Makefile
  head/devel/hs-hashtables/Makefile
  head/devel/hs-haskeline/Makefile
  head/devel/hs-haskell-platform/Makefile
  head/devel/hs-haskell-src-exts/Makefile
  head/devel/hs-haskell-src/Makefile
  head/devel/hs-hasktags/Makefile
  head/devel/hs-hastache/Makefile
  head/devel/hs-hinotify/Makefile
  head/devel/hs-hint/Makefile
  head/devel/hs-hlibev/Makefile
  head/devel/hs-hlint/Makefile
  head/devel/hs-hoogle/Makefile
  head/devel/hs-hslogger/Makefile
  head/devel/hs-hspec-expectations/Makefile
  head/devel/hs-hspec/Makefile
  head/devel/hs-kqueue/Makefile
  head/devel/hs-language-c/Makefile
  head/devel/hs-language-javascript/Makefile
  head/devel/hs-largeword/Makefile
  head/devel/hs-lazysmallcheck/Makefile
  head/devel/hs-lens/Makefile
  head/devel/hs-lifted-base/Makefile
  head/devel/hs-logict/Makefile
  head/devel/hs-mmap/Makefile
  head/devel/hs-mmorph/Makefile
  head/devel/hs-monad-control/Makefile
  head/devel/hs-monad-logger/Makefile
  head/devel/hs-monad-par-extras/Makefile
  head/devel/hs-monad-par/Makefile
  head/devel/hs-mtl/Makefile
  head/devel/hs-mueval/Makefile
  head/devel/hs-murmur-hash/Makefile
  head/devel/hs-optparse-applicative/Makefile
  head/devel/hs-parallel/Makefile
  head/devel/hs-pcre-light/Makefile
  head/devel/hs-pool-conduit/Makefile
  head/devel/hs-primitive/Makefile
  head/devel/hs-profunctor-extras/Makefile
  head/devel/hs-profunctors/Makefile
  head/devel/hs-project-template/Makefile
  head/devel/hs-quickcheck-io/Makefile
  head/devel/hs-random/Makefile
  head/devel/hs-ranges/Makefile
  head/devel/hs-readline/Makefile
  head/devel/hs-reflection/Makefile
  head/devel/hs-resource-pool/Makefile
  head/devel/hs-resourcet/Makefile
  head/devel/hs-safe/Makefile
  head/devel/hs-setenv/Makefile
  head/devel/hs-show/Makefile
  head/devel/hs-silently/Makefile
  head/devel/hs-simple-reflect/Makefile
  head/devel/hs-smallcheck/Makefile
  head/devel/hs-split/Makefile
  head/devel/hs-stm/Makefile
  head/devel/hs-strict/Makefile
  head/devel/hs-syb-with-class-instances-text/Makefile
  head/devel/hs-syb-with-class/Makefile
  head/devel/hs-syb/Makefile
  head/devel/hs-system-fileio/Makefile
  head/devel/hs-system-filepath/Makefile
  head/devel/hs-tagged/Makefile
  head/devel/hs-temporary/Makefile
  head/devel/hs-terminfo/Makefile
  head/devel/hs-test-framework-hunit/Makefile
  head/devel/hs-test-framework-quickcheck2/Makefile
  head/devel/hs-test-framework/Makefile
  head/devel/hs-testpack/Makefile
  head/devel/hs-text/Makefile
  head/devel/hs-threads/Makefile
  head/devel/hs-threadscope/Makefile
  head/devel/hs-time-compat/Makefile
  head/devel/hs-timezone-olson/Makefile
  head/devel/hs-timezone-series/Makefile
  head/devel/hs-transformers-base/Makefile
  head/devel/hs-transformers/Makefile
  head/devel/hs-unamb/Makefile
  head/devel/hs-uniplate/Makefile
  head/devel/hs-unix-compat/Makefile
  head/devel/hs-unix-time/Makefile
  head/devel/hs-unordered-containers/Makefile
  head/devel/hs-utf8-light/Makefile
  head/devel/hs-utf8-string/Makefile
  head/devel/hs-utility-ht/Makefile
  head/devel/hs-uuagc-bootstrap/Makefile
  head/devel/hs-uuagc-cabal/Makefile
  head/devel/hs-uuagc/Makefile
  head/devel/hs-uuid/Makefile
  head/devel/hs-uulib/Makefile
  head/devel/hs-vault/Makefile
  head/devel/hs-vector-algorithms/Makefile
  head/devel/hs-vector/Makefile
  head/devel/hs-void/Makefile
  head/devel/hs-word8/Makefile
  head/ftp/hs-curl/Makefile
  head/graphics/hs-HGL/Makefile
  head/graphics/hs-cairo/Makefile
  head/graphics/hs-dia-base/Makefile
  head/graphics/hs-dia-functions/Makefile
  head/graphics/hs-soegtk/Makefile
  head/graphics/hs-svgcairo/Makefile
  head/lang/ghc/Makefile
  head/lang/hs-brainfuck/Makefile
  head/lang/hs-epic/Makefile
  head/lang/hs-unlambda/Makefile
  head/mail/hs-email-validate/Makefile
  head/mail/hs-mime-mail/Makefile
  head/mail/hs-mime-types/Makefile
  head/mail/hs-mime/Makefile
  head/math/hs-Agda/Makefile
  head/math/hs-NumInstances/Makefile
  head/math/hs-categories/Makefile
  head/math/hs-comonad-transformers/Makefile
  head/math/hs-comonad/Makefile
  head/math/hs-comonads-fd/Makefile
  head/math/hs-contravariant/Makefile
  head/math/hs-data-lens-template/Makefile
  head/math/hs-data-lens/Makefile
  head/math/hs-distributive/Makefile
  head/math/hs-erf/Makefile
  head/math/hs-groupoids/Makefile
  head/math/hs-ieee754/Makefile
  head/math/hs-math-functions/Makefile
  head/math/hs-mwc-random/Makefile
  head/math/hs-nats/Makefile
  head/math/hs-pointed/Makefile
  head/math/hs-probability/Makefile
  head/math/hs-semigroupoid-extras/Makefile
  head/math/hs-semigroupoids/Makefile
  head/math/hs-semigroups/Makefile
  head/math/hs-statistics/Makefile
  head/math/hs-vector-space/Makefile
  head/multimedia/hs-gstreamer/Makefile
  head/net/hs-hostname/Makefile
  head/net/hs-maccatcher/Makefile
  head/net/hs-network-conduit/Makefile
  head/net/hs-network-info/Makefile
  head/net/hs-network-multicast/Makefile
  head/net/hs-network/Makefile
  head/net/hs-pcap/Makefile
  head/net/hs-publicsuffixlist/Makefile
  head/net/hs-sendfile/Makefile
  head/net/hs-simple-sendfile/Makefile
  head/net/hs-socks/Makefile
  head/ports-mgmt/hs-porte/Makefile
  head/print/hs-hscolour/Makefile
  head/science/hs-bio/Makefile
  head/security/hs-Crypto/Makefile
  head/security/hs-HsOpenSSL/Makefile
  head/security/hs-RSA/Makefile
  head/security/hs-SHA/Makefile
  head/security/hs-certificate/Makefile
  head/security/hs-cipher-aes/Makefile
  head/security/hs-cipher-rc4/Makefile
  head/security/hs-clientsession/Makefile
  head/security/hs-cprng-aes/Makefile
  head/security/hs-crypto-api/Makefile
  head/security/hs-crypto-conduit/Makefile
  head/security/hs-crypto-numbers/Makefile
  head/security/hs-crypto-pubkey-types/Makefile
  head/security/hs-crypto-pubkey/Makefile
  head/security/hs-crypto-random-api/Makefile
  head/security/hs-cryptocipher/Makefile
  head/security/hs-cryptohash/Makefile
  head/security/hs-digest/Makefile
  head/security/hs-entropy/Makefile
  head/security/hs-monadcryptorandom/Makefile
  head/security/hs-pem/Makefile
  head/security/hs-pureMD5/Makefile
  head/security/hs-pwstore-fast/Makefile
  head/security/hs-skein/Makefile
  head/security/hs-tls-extra/Makefile
  head/security/hs-tls/Makefile
  head/sysutils/hs-angel/Makefile
  head/sysutils/hs-cpu/Makefile
  head/textproc/hs-Diff/Makefile
  head/textproc/hs-HStringTemplate/Makefile
  head/textproc/hs-HaXml/Makefile
  head/textproc/hs-attoparsec-conduit/Makefile
  head/textproc/hs-attoparsec-enumerator/Makefile
  head/textproc/hs-attoparsec/Makefile
  head/textproc/hs-blaze-html/Makefile
  head/textproc/hs-blaze-markup/Makefile
  head/textproc/hs-bytestring-csv/Makefile
  head/textproc/hs-case-insensitive/Makefile
  head/textproc/hs-citeproc-hs/Makefile
  head/textproc/hs-csv/Makefile
  head/textproc/hs-double-conversion/Makefile
  head/textproc/hs-feed/Makefile
  head/textproc/hs-hexpat/Makefile
  head/textproc/hs-highlighting-kate/Makefile
  head/textproc/hs-hs-bibutils/Makefile
  head/textproc/hs-html-conduit/Makefile
  head/textproc/hs-html/Makefile
  head/textproc/hs-hxt-charproperties/Makefile
  head/textproc/hs-hxt-regex-xmlschema/Makefile
  head/textproc/hs-hxt-unicode/Makefile
  head/textproc/hs-hxt/Makefile
  head/textproc/hs-lhs2tex/Makefile
  head/textproc/hs-libxml/Makefile
  head/textproc/hs-pandoc-types/Makefile
  head/textproc/hs-pandoc/Makefile
  head/textproc/hs-parsec/Makefile
  head/textproc/hs-polyparse/Makefile
  head/textproc/hs-regex-base/Makefile
  head/textproc/hs-regex-compat/Makefile
  head/textproc/hs-regex-pcre-builtin/Makefile
  head/textproc/hs-regex-posix/Makefile
  head/textproc/hs-regex-tdfa/Makefile
  head/textproc/hs-stringsearch/Makefile
  head/textproc/hs-tagsoup/Makefile
  head/textproc/hs-tagstream-conduit/Makefile
  head/textproc/hs-texmath/Makefile
  head/textproc/hs-xhtml/Makefile
  head/textproc/hs-xml-conduit/Makefile
  head/textproc/hs-xml-types/Makefile
  head/textproc/hs-xml/Makefile
  head/textproc/hs-xmlhtml/Makefile
  head/textproc/hs-yaml/Makefile
  head/www/hs-HTTP/Makefile
  head/www/hs-activehs/Makefile
  head/www/hs-authenticate/Makefile
  head/www/hs-cgi/Makefile
  head/www/hs-cookie/Makefile
  head/www/hs-css-text/Makefile
  head/www/hs-fastcgi/Makefile
  head/www/hs-gitit/Makefile
  head/www/hs-hS3/Makefile
  head/www/hs-hamlet/Makefile
  head/www/hs-happstack-server/Makefile
  head/www/hs-happstack/Makefile
  head/www/hs-heist/Makefile
  head/www/hs-hjsmin/Makefile
  head/www/hs-http-conduit/Makefile
  head/www/hs-http-date/Makefile
  head/www/hs-http-reverse-proxy/Makefile
  head/www/hs-http-server/Makefile
  head/www/hs-http-types/Makefile
  head/www/hs-oeis/Makefile
  head/www/hs-path-pieces/Makefile
  head/www/hs-recaptcha/Makefile
  head/www/hs-scgi/Makefile
  head/www/hs-shakespeare-css/Makefile
  head/www/hs-shakespeare-i18n/Makefile
  head/www/hs-shakespeare-js/Makefile
  head/www/hs-shakespeare-text/Makefile
  head/www/hs-shakespeare/Makefile
  head/www/hs-snap-core/Makefile
  head/www/hs-snap-server/Makefile
  head/www/hs-snap/Makefile
  head/www/hs-url/Makefile
  head/www/hs-wai-app-static/Makefile
  head/www/hs-wai-extra/Makefile
  head/www/hs-wai-logger/Makefile
  head/www/hs-wai-test/Makefile
  head/www/hs-wai/Makefile
  head/www/hs-warp/Makefile
  head/www/hs-webkit/Makefile
  head/www/hs-xss-sanitize/Makefile
  head/www/hs-yesod-auth/Makefile
  head/www/hs-yesod-core/Makefile
  head/www/hs-yesod-form/Makefile
  head/www/hs-yesod-persistent/Makefile
  head/www/hs-yesod-platform/Makefile
  head/www/hs-yesod-routes/Makefile
  head/www/hs-yesod-static/Makefile
  head/www/hs-yesod-test/Makefile
  head/www/hs-yesod/Makefile
  head/x11-toolkits/hs-GLURaw/Makefile
  head/x11-toolkits/hs-GLUT/Makefile
  head/x11-toolkits/hs-OpenGL/Makefile
  head/x11-toolkits/hs-OpenGLRaw/Makefile
  head/x11-toolkits/hs-gtk/Makefile
  head/x11-toolkits/hs-gtk2hs/Makefile
  head/x11-toolkits/hs-gtkglext/Makefile
  head/x11-toolkits/hs-gtksourceview2/Makefile
  head/x11-toolkits/hs-pango/Makefile
  head/x11-toolkits/hs-vte/Makefile
  head/x11-toolkits/hs-wx/Makefile
  head/x11-toolkits/hs-wxc/Makefile
  head/x11-toolkits/hs-wxcore/Makefile
  head/x11-toolkits/hs-wxdirect/Makefile
  head/x11-wm/hs-xmonad-contrib/Makefile
  head/x11-wm/hs-xmonad/Makefile
  head/x11/hs-X11-xft/Makefile
  head/x11/hs-X11/Makefile
  head/x11/hs-xmobar/Makefile

Modified: head/archivers/hs-tar/Makefile
==============================================================================
--- head/archivers/hs-tar/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/archivers/hs-tar/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	tar
 PORTVERSION=	0.4.0.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zip-archive/Makefile
==============================================================================
--- head/archivers/hs-zip-archive/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/archivers/hs-zip-archive/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zip-archive
 PORTVERSION=	0.1.3.4
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib-bindings/Makefile
==============================================================================
--- head/archivers/hs-zlib-bindings/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/archivers/hs-zlib-bindings/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-bindings
 PORTVERSION=	0.1.1.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib-conduit/Makefile
==============================================================================
--- head/archivers/hs-zlib-conduit/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/archivers/hs-zlib-conduit/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib-enum/Makefile
==============================================================================
--- head/archivers/hs-zlib-enum/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/archivers/hs-zlib-enum/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-enum
 PORTVERSION=	0.2.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/archivers/hs-zlib/Makefile
==============================================================================
--- head/archivers/hs-zlib/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/archivers/hs-zlib/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	zlib
 PORTVERSION=	0.5.4.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/audio/hs-ALUT/Makefile
==============================================================================
--- head/audio/hs-ALUT/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/audio/hs-ALUT/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ALUT
 PORTVERSION=	2.2.0.0
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/audio/hs-OpenAL/Makefile
==============================================================================
--- head/audio/hs-OpenAL/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/audio/hs-OpenAL/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	OpenAL
 PORTVERSION=	1.4.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/audio/hs-libmpd/Makefile
==============================================================================
--- head/audio/hs-libmpd/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/audio/hs-libmpd/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	libmpd
 PORTVERSION=	0.8.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/benchmarks/hs-criterion/Makefile
==============================================================================
--- head/benchmarks/hs-criterion/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/benchmarks/hs-criterion/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	criterion
 PORTVERSION=	0.6.2.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	benchmarks haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/converters/hs-aeson/Makefile
==============================================================================
--- head/converters/hs-aeson/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/converters/hs-aeson/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	aeson
 PORTVERSION=	0.6.1.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/converters/hs-dataenc/Makefile
==============================================================================
--- head/converters/hs-dataenc/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/converters/hs-dataenc/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	dataenc
 PORTVERSION=	0.14.0.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/converters/hs-json/Makefile
==============================================================================
--- head/converters/hs-json/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/converters/hs-json/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	json
 PORTVERSION=	0.7
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-mysql/Makefile
==============================================================================
--- head/databases/hs-mysql/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/databases/hs-mysql/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mysql
 PORTVERSION=	0.1.1.4
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-persistent-sqlite/Makefile
==============================================================================
--- head/databases/hs-persistent-sqlite/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/databases/hs-persistent-sqlite/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent-sqlite
 PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-persistent-template/Makefile
==============================================================================
--- head/databases/hs-persistent-template/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/databases/hs-persistent-template/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent-template
 PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/databases/hs-persistent/Makefile
==============================================================================
--- head/databases/hs-persistent/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/databases/hs-persistent/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent
 PORTVERSION=	1.2.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-BNFC/Makefile
==============================================================================
--- head/devel/hs-BNFC/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-BNFC/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	BNFC
 PORTVERSION=	2.6.0.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-Boolean/Makefile
==============================================================================
--- head/devel/hs-Boolean/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-Boolean/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	Boolean
 PORTVERSION=	0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-ConfigFile/Makefile
==============================================================================
--- head/devel/hs-ConfigFile/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-ConfigFile/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ConfigFile
 PORTVERSION=	1.1.1
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-HUnit/Makefile
==============================================================================
--- head/devel/hs-HUnit/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-HUnit/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	HUnit
 PORTVERSION=	1.2.5.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-IORefCAS/Makefile
==============================================================================
--- head/devel/hs-IORefCAS/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-IORefCAS/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	IORefCAS
 PORTVERSION=	0.2.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-IfElse/Makefile
==============================================================================
--- head/devel/hs-IfElse/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-IfElse/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	IfElse
 PORTVERSION=	0.85
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-List/Makefile
==============================================================================
--- head/devel/hs-List/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-List/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	List
 PORTVERSION=	0.5.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-MaybeT/Makefile
==============================================================================
--- head/devel/hs-MaybeT/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-MaybeT/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	MaybeT
 PORTVERSION=	0.1.2
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-MemoTrie/Makefile
==============================================================================
--- head/devel/hs-MemoTrie/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-MemoTrie/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MemoTrie
 PORTVERSION=	0.6.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-MissingH/Makefile
==============================================================================
--- head/devel/hs-MissingH/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-MissingH/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MissingH
 PORTVERSION=	1.2.0.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-MonadCatchIO-mtl/Makefile
==============================================================================
--- head/devel/hs-MonadCatchIO-mtl/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-MonadCatchIO-mtl/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MonadCatchIO-mtl
 PORTVERSION=	0.3.0.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-MonadCatchIO-transformers/Makefile
==============================================================================
--- head/devel/hs-MonadCatchIO-transformers/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-MonadCatchIO-transformers/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	MonadCatchIO-transformers
 PORTVERSION=	0.3.0.0
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-MonadRandom/Makefile
==============================================================================
--- head/devel/hs-MonadRandom/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-MonadRandom/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	MonadRandom
 PORTVERSION=	0.1.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-ObjectName/Makefile
==============================================================================
--- head/devel/hs-ObjectName/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-ObjectName/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ObjectName
 PORTVERSION=	1.0.0.0
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-PSQueue/Makefile
==============================================================================
--- head/devel/hs-PSQueue/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-PSQueue/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	PSQueue
 PORTVERSION=	1.1
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-QuickCheck/Makefile
==============================================================================
--- head/devel/hs-QuickCheck/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-QuickCheck/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	QuickCheck
 PORTVERSION=	2.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-ReadArgs/Makefile
==============================================================================
--- head/devel/hs-ReadArgs/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-ReadArgs/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ReadArgs
 PORTVERSION=	1.2.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-SafeSemaphore/Makefile
==============================================================================
--- head/devel/hs-SafeSemaphore/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-SafeSemaphore/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	SafeSemaphore
 PORTVERSION=	0.9.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-StateVar/Makefile
==============================================================================
--- head/devel/hs-StateVar/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-StateVar/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	StateVar
 PORTVERSION=	1.0.0.0
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-Stream/Makefile
==============================================================================
--- head/devel/hs-Stream/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-Stream/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	Stream
 PORTVERSION=	0.4.6.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-Tensor/Makefile
==============================================================================
--- head/devel/hs-Tensor/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-Tensor/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	Tensor
 PORTVERSION=	1.0.0.1
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-TypeCompose/Makefile
==============================================================================
--- head/devel/hs-TypeCompose/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-TypeCompose/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	TypeCompose
 PORTVERSION=	0.9.9
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-abstract-deque/Makefile
==============================================================================
--- head/devel/hs-abstract-deque/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-abstract-deque/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	abstract-deque
 PORTVERSION=	0.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-abstract-par/Makefile
==============================================================================
--- head/devel/hs-abstract-par/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-abstract-par/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	abstract-par
 PORTVERSION=	0.3.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-activehs-base/Makefile
==============================================================================
--- head/devel/hs-activehs-base/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-activehs-base/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	activehs-base
 PORTVERSION=	0.3.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-alex/Makefile
==============================================================================
--- head/devel/hs-alex/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-alex/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	alex
 PORTVERSION=	3.0.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-ansi-terminal/Makefile
==============================================================================
--- head/devel/hs-ansi-terminal/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-ansi-terminal/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ansi-terminal
 PORTVERSION=	0.6
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-ansi-wl-pprint/Makefile
==============================================================================
--- head/devel/hs-ansi-wl-pprint/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-ansi-wl-pprint/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ansi-wl-pprint
 PORTVERSION=	0.6.6
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-arrows/Makefile
==============================================================================
--- head/devel/hs-arrows/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-arrows/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	arrows
 PORTVERSION=	0.4.4.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-asn1-data/Makefile
==============================================================================
--- head/devel/hs-asn1-data/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-asn1-data/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	asn1-data
 PORTVERSION=	0.7.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-asn1-types/Makefile
==============================================================================
--- head/devel/hs-asn1-types/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-asn1-types/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	asn1-types
 PORTVERSION=	0.1.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-async/Makefile
==============================================================================
--- head/devel/hs-async/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-async/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	async
 PORTVERSION=	2.0.1.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-attempt/Makefile
==============================================================================
--- head/devel/hs-attempt/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-attempt/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	attempt
 PORTVERSION=	0.4.0
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-base-unicode-symbols/Makefile
==============================================================================
--- head/devel/hs-base-unicode-symbols/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-base-unicode-symbols/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base-unicode-symbols
 PORTVERSION=	0.2.2.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-base16-bytestring/Makefile
==============================================================================
--- head/devel/hs-base16-bytestring/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-base16-bytestring/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base16-bytestring
 PORTVERSION=	0.1.1.5
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-base64-bytestring/Makefile
==============================================================================
--- head/devel/hs-base64-bytestring/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-base64-bytestring/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base64-bytestring
 PORTVERSION=	1.0.0.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-base64-conduit/Makefile
==============================================================================
--- head/devel/hs-base64-conduit/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-base64-conduit/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base64-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-basic-prelude/Makefile
==============================================================================
--- head/devel/hs-basic-prelude/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-basic-prelude/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	basic-prelude
 PORTVERSION=	0.3.5.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-bifunctors/Makefile
==============================================================================
--- head/devel/hs-bifunctors/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-bifunctors/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bifunctors
 PORTVERSION=	3.2.0.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-bits-atomic/Makefile
==============================================================================
--- head/devel/hs-bits-atomic/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-bits-atomic/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bits-atomic
 PORTVERSION=	0.1.3
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-blaze-builder-conduit/Makefile
==============================================================================
--- head/devel/hs-blaze-builder-conduit/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-blaze-builder-conduit/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-builder-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-blaze-builder-enumerator/Makefile
==============================================================================
--- head/devel/hs-blaze-builder-enumerator/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-blaze-builder-enumerator/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-builder-enumerator
 PORTVERSION=	0.2.0.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-blaze-builder/Makefile
==============================================================================
--- head/devel/hs-blaze-builder/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-blaze-builder/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-builder
 PORTVERSION=	0.3.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-blaze-textual/Makefile
==============================================================================
--- head/devel/hs-blaze-textual/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-blaze-textual/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-textual
 PORTVERSION=	0.2.0.8
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-bloomfilter/Makefile
==============================================================================
--- head/devel/hs-bloomfilter/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-bloomfilter/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bloomfilter
 PORTVERSION=	1.2.6.10
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-bsd-sysctl/Makefile
==============================================================================
--- head/devel/hs-bsd-sysctl/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-bsd-sysctl/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	bsd-sysctl
 PORTVERSION=	1.0.7
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-byteorder/Makefile
==============================================================================
--- head/devel/hs-byteorder/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-byteorder/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	byteorder
 PORTVERSION=	1.0.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-bytestring-nums/Makefile
==============================================================================
--- head/devel/hs-bytestring-nums/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-bytestring-nums/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bytestring-nums
 PORTVERSION=	0.3.6
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-bytestring-show/Makefile
==============================================================================
--- head/devel/hs-bytestring-show/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-bytestring-show/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bytestring-show
 PORTVERSION=	0.3.5.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-c2hs/Makefile
==============================================================================
--- head/devel/hs-c2hs/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-c2hs/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	c2hs
 PORTVERSION=	0.16.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-cabal-install/Makefile
==============================================================================
--- head/devel/hs-cabal-install/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-cabal-install/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cabal-install
 PORTVERSION=	1.16.0.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-cereal/Makefile
==============================================================================
--- head/devel/hs-cereal/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-cereal/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cereal
 PORTVERSION=	0.3.5.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-checkers/Makefile
==============================================================================
--- head/devel/hs-checkers/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-checkers/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	checkers
 PORTVERSION=	0.3.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-classy-prelude-conduit/Makefile
==============================================================================
--- head/devel/hs-classy-prelude-conduit/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-classy-prelude-conduit/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	classy-prelude-conduit
 PORTVERSION=	0.5.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-classy-prelude/Makefile
==============================================================================
--- head/devel/hs-classy-prelude/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-classy-prelude/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	classy-prelude
 PORTVERSION=	0.5.7
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-cmdargs/Makefile
==============================================================================
--- head/devel/hs-cmdargs/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-cmdargs/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cmdargs
 PORTVERSION=	0.10.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-conduit/Makefile
==============================================================================
--- head/devel/hs-conduit/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-conduit/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	conduit
 PORTVERSION=	1.0.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-configurator/Makefile
==============================================================================
--- head/devel/hs-configurator/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-configurator/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	configurator
 PORTVERSION=	0.2.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-convertible/Makefile
==============================================================================
--- head/devel/hs-convertible/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-convertible/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	convertible
 PORTVERSION=	1.0.11.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-cpphs/Makefile
==============================================================================
--- head/devel/hs-cpphs/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-cpphs/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cpphs
 PORTVERSION=	1.16
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-darcs/Makefile
==============================================================================
--- head/devel/hs-darcs/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-darcs/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	darcs
 PORTVERSION=	2.8.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-default-class/Makefile
==============================================================================
--- head/devel/hs-data-default-class/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-default-class/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-class
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-default-instances-base/Makefile
==============================================================================
--- head/devel/hs-data-default-instances-base/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-default-instances-base/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-base
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-default-instances-containers/Makefile
==============================================================================
--- head/devel/hs-data-default-instances-containers/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-default-instances-containers/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-containers
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-default-instances-dlist/Makefile
==============================================================================
--- head/devel/hs-data-default-instances-dlist/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-default-instances-dlist/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-dlist
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-default-instances-old-locale/Makefile
==============================================================================
--- head/devel/hs-data-default-instances-old-locale/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-default-instances-old-locale/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-old-locale
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-default/Makefile
==============================================================================
--- head/devel/hs-data-default/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-default/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default
 PORTVERSION=	0.5.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-data-pprint/Makefile
==============================================================================
--- head/devel/hs-data-pprint/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-data-pprint/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-pprint
 PORTVERSION=	0.2.1.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-date-cache/Makefile
==============================================================================
--- head/devel/hs-date-cache/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-date-cache/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	date-cache
 PORTVERSION=	0.3.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-datetime/Makefile
==============================================================================
--- head/devel/hs-datetime/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-datetime/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	datetime
 PORTVERSION=	0.2.1
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-directory-tree/Makefile
==============================================================================
--- head/devel/hs-directory-tree/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-directory-tree/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	directory-tree
 PORTVERSION=	0.11.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-dlist/Makefile
==============================================================================
--- head/devel/hs-dlist/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-dlist/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dlist
 PORTVERSION=	0.5
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-edit-distance/Makefile
==============================================================================
--- head/devel/hs-edit-distance/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-edit-distance/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	edit-distance
 PORTVERSION=	0.2.1.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/hs-either/Makefile
==============================================================================
--- head/devel/hs-either/Makefile	Thu Jan  9 21:27:56 2014	(r339284)
+++ head/devel/hs-either/Makefile	Thu Jan  9 21:29:39 2014	(r339285)
@@ -2,7 +2,7 @@
 
 PORTNAME=	either
 PORTVERSION=	3.4
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Gabor Pali freebsd_committer 2014-01-09 21:46:05 UTC
State Changed
From-To: open->patched

Fixed in head, soon to be commited to 2014Q1.
Comment 8 dfilter freebsd_committer 2014-01-12 15:46:20 UTC
Author: pgj
Date: Sun Jan 12 15:45:46 2014
New Revision: 339517
URL: http://svnweb.freebsd.org/changeset/ports/339517

Log:
  MFH: r339285
  
  - Fix a run-time problem with lang/ghc on FreeBSD 10.0 and later, caused by
    the iconv changes (basically GHCi was rendered unusable)
  - Fix build for x11-toolkits/hs-wxc, while here
  - Bump port revision for all Haskell Cabal ports as they have to be rebuilt
  
  PR:		ports/184806
  Reported by:	many
  Obtained from:	FreeBSD Haskell
  Approved by:	portmgr-lurkers (antoine)

Added:
  branches/2014Q1/lang/ghc/files/patch-libraries__base__cbits__iconv.c
     - copied unchanged from r339285, head/lang/ghc/files/patch-libraries__base__cbits__iconv.c
  branches/2014Q1/x11-toolkits/hs-wxc/files/patch-wxc.cabal
     - copied unchanged from r339285, head/x11-toolkits/hs-wxc/files/patch-wxc.cabal
Modified:
  branches/2014Q1/archivers/hs-tar/Makefile
  branches/2014Q1/archivers/hs-zip-archive/Makefile
  branches/2014Q1/archivers/hs-zlib-bindings/Makefile
  branches/2014Q1/archivers/hs-zlib-conduit/Makefile
  branches/2014Q1/archivers/hs-zlib-enum/Makefile
  branches/2014Q1/archivers/hs-zlib/Makefile
  branches/2014Q1/audio/hs-ALUT/Makefile
  branches/2014Q1/audio/hs-OpenAL/Makefile
  branches/2014Q1/audio/hs-libmpd/Makefile
  branches/2014Q1/benchmarks/hs-criterion/Makefile
  branches/2014Q1/converters/hs-aeson/Makefile
  branches/2014Q1/converters/hs-dataenc/Makefile
  branches/2014Q1/converters/hs-json/Makefile
  branches/2014Q1/databases/hs-mysql/Makefile
  branches/2014Q1/databases/hs-persistent-sqlite/Makefile
  branches/2014Q1/databases/hs-persistent-template/Makefile
  branches/2014Q1/databases/hs-persistent/Makefile
  branches/2014Q1/devel/hs-BNFC/Makefile
  branches/2014Q1/devel/hs-Boolean/Makefile
  branches/2014Q1/devel/hs-ConfigFile/Makefile
  branches/2014Q1/devel/hs-HUnit/Makefile
  branches/2014Q1/devel/hs-IORefCAS/Makefile
  branches/2014Q1/devel/hs-IfElse/Makefile
  branches/2014Q1/devel/hs-List/Makefile
  branches/2014Q1/devel/hs-MaybeT/Makefile
  branches/2014Q1/devel/hs-MemoTrie/Makefile
  branches/2014Q1/devel/hs-MissingH/Makefile
  branches/2014Q1/devel/hs-MonadCatchIO-mtl/Makefile
  branches/2014Q1/devel/hs-MonadCatchIO-transformers/Makefile
  branches/2014Q1/devel/hs-MonadRandom/Makefile
  branches/2014Q1/devel/hs-ObjectName/Makefile
  branches/2014Q1/devel/hs-PSQueue/Makefile
  branches/2014Q1/devel/hs-QuickCheck/Makefile
  branches/2014Q1/devel/hs-ReadArgs/Makefile
  branches/2014Q1/devel/hs-SafeSemaphore/Makefile
  branches/2014Q1/devel/hs-StateVar/Makefile
  branches/2014Q1/devel/hs-Stream/Makefile
  branches/2014Q1/devel/hs-Tensor/Makefile
  branches/2014Q1/devel/hs-TypeCompose/Makefile
  branches/2014Q1/devel/hs-abstract-deque/Makefile
  branches/2014Q1/devel/hs-abstract-par/Makefile
  branches/2014Q1/devel/hs-activehs-base/Makefile
  branches/2014Q1/devel/hs-alex/Makefile
  branches/2014Q1/devel/hs-ansi-terminal/Makefile
  branches/2014Q1/devel/hs-ansi-wl-pprint/Makefile
  branches/2014Q1/devel/hs-arrows/Makefile
  branches/2014Q1/devel/hs-asn1-data/Makefile
  branches/2014Q1/devel/hs-asn1-types/Makefile
  branches/2014Q1/devel/hs-async/Makefile
  branches/2014Q1/devel/hs-attempt/Makefile
  branches/2014Q1/devel/hs-base-unicode-symbols/Makefile
  branches/2014Q1/devel/hs-base16-bytestring/Makefile
  branches/2014Q1/devel/hs-base64-bytestring/Makefile
  branches/2014Q1/devel/hs-base64-conduit/Makefile
  branches/2014Q1/devel/hs-basic-prelude/Makefile
  branches/2014Q1/devel/hs-bifunctors/Makefile
  branches/2014Q1/devel/hs-bits-atomic/Makefile
  branches/2014Q1/devel/hs-blaze-builder-conduit/Makefile
  branches/2014Q1/devel/hs-blaze-builder-enumerator/Makefile
  branches/2014Q1/devel/hs-blaze-builder/Makefile
  branches/2014Q1/devel/hs-blaze-textual/Makefile
  branches/2014Q1/devel/hs-bloomfilter/Makefile
  branches/2014Q1/devel/hs-bsd-sysctl/Makefile
  branches/2014Q1/devel/hs-byteorder/Makefile
  branches/2014Q1/devel/hs-bytestring-nums/Makefile
  branches/2014Q1/devel/hs-bytestring-show/Makefile
  branches/2014Q1/devel/hs-c2hs/Makefile
  branches/2014Q1/devel/hs-cabal-install/Makefile
  branches/2014Q1/devel/hs-cereal/Makefile
  branches/2014Q1/devel/hs-checkers/Makefile
  branches/2014Q1/devel/hs-classy-prelude-conduit/Makefile
  branches/2014Q1/devel/hs-classy-prelude/Makefile
  branches/2014Q1/devel/hs-cmdargs/Makefile
  branches/2014Q1/devel/hs-conduit/Makefile
  branches/2014Q1/devel/hs-configurator/Makefile
  branches/2014Q1/devel/hs-convertible/Makefile
  branches/2014Q1/devel/hs-cpphs/Makefile
  branches/2014Q1/devel/hs-darcs/Makefile
  branches/2014Q1/devel/hs-data-default-class/Makefile
  branches/2014Q1/devel/hs-data-default-instances-base/Makefile
  branches/2014Q1/devel/hs-data-default-instances-containers/Makefile
  branches/2014Q1/devel/hs-data-default-instances-dlist/Makefile
  branches/2014Q1/devel/hs-data-default-instances-old-locale/Makefile
  branches/2014Q1/devel/hs-data-default/Makefile
  branches/2014Q1/devel/hs-data-pprint/Makefile
  branches/2014Q1/devel/hs-date-cache/Makefile
  branches/2014Q1/devel/hs-datetime/Makefile
  branches/2014Q1/devel/hs-directory-tree/Makefile
  branches/2014Q1/devel/hs-dlist/Makefile
  branches/2014Q1/devel/hs-edit-distance/Makefile
  branches/2014Q1/devel/hs-either/Makefile
  branches/2014Q1/devel/hs-enumerator/Makefile
  branches/2014Q1/devel/hs-errors/Makefile
  branches/2014Q1/devel/hs-extensible-exceptions/Makefile
  branches/2014Q1/devel/hs-failure/Makefile
  branches/2014Q1/devel/hs-fast-logger/Makefile
  branches/2014Q1/devel/hs-fgl/Makefile
  branches/2014Q1/devel/hs-file-embed/Makefile
  branches/2014Q1/devel/hs-filemanip/Makefile
  branches/2014Q1/devel/hs-filestore/Makefile
  branches/2014Q1/devel/hs-filesystem-conduit/Makefile
  branches/2014Q1/devel/hs-fsnotify/Makefile
  branches/2014Q1/devel/hs-gconf/Makefile
  branches/2014Q1/devel/hs-generic-deriving/Makefile
  branches/2014Q1/devel/hs-geniplate/Makefile
  branches/2014Q1/devel/hs-ghc-events/Makefile
  branches/2014Q1/devel/hs-ghc-mtl/Makefile
  branches/2014Q1/devel/hs-ghc-paths/Makefile
  branches/2014Q1/devel/hs-gio/Makefile
  branches/2014Q1/devel/hs-git-annex/Makefile
  branches/2014Q1/devel/hs-glade/Makefile
  branches/2014Q1/devel/hs-glib/Makefile
  branches/2014Q1/devel/hs-gtk2hs-buildtools/Makefile
  branches/2014Q1/devel/hs-haddock/Makefile
  branches/2014Q1/devel/hs-happy/Makefile
  branches/2014Q1/devel/hs-hashable/Makefile
  branches/2014Q1/devel/hs-hashed-storage/Makefile
  branches/2014Q1/devel/hs-hashtables/Makefile
  branches/2014Q1/devel/hs-haskeline/Makefile
  branches/2014Q1/devel/hs-haskell-platform/Makefile
  branches/2014Q1/devel/hs-haskell-src-exts/Makefile
  branches/2014Q1/devel/hs-haskell-src/Makefile
  branches/2014Q1/devel/hs-hasktags/Makefile
  branches/2014Q1/devel/hs-hastache/Makefile
  branches/2014Q1/devel/hs-hinotify/Makefile
  branches/2014Q1/devel/hs-hint/Makefile
  branches/2014Q1/devel/hs-hlibev/Makefile
  branches/2014Q1/devel/hs-hlint/Makefile
  branches/2014Q1/devel/hs-hoogle/Makefile
  branches/2014Q1/devel/hs-hslogger/Makefile
  branches/2014Q1/devel/hs-hspec-expectations/Makefile
  branches/2014Q1/devel/hs-hspec/Makefile
  branches/2014Q1/devel/hs-kqueue/Makefile
  branches/2014Q1/devel/hs-language-c/Makefile
  branches/2014Q1/devel/hs-language-javascript/Makefile
  branches/2014Q1/devel/hs-largeword/Makefile
  branches/2014Q1/devel/hs-lazysmallcheck/Makefile
  branches/2014Q1/devel/hs-lens/Makefile
  branches/2014Q1/devel/hs-lifted-base/Makefile
  branches/2014Q1/devel/hs-logict/Makefile
  branches/2014Q1/devel/hs-mmap/Makefile
  branches/2014Q1/devel/hs-mmorph/Makefile
  branches/2014Q1/devel/hs-monad-control/Makefile
  branches/2014Q1/devel/hs-monad-logger/Makefile
  branches/2014Q1/devel/hs-monad-par-extras/Makefile
  branches/2014Q1/devel/hs-monad-par/Makefile
  branches/2014Q1/devel/hs-mtl/Makefile
  branches/2014Q1/devel/hs-mueval/Makefile
  branches/2014Q1/devel/hs-murmur-hash/Makefile
  branches/2014Q1/devel/hs-optparse-applicative/Makefile
  branches/2014Q1/devel/hs-parallel/Makefile
  branches/2014Q1/devel/hs-pcre-light/Makefile
  branches/2014Q1/devel/hs-pool-conduit/Makefile
  branches/2014Q1/devel/hs-primitive/Makefile
  branches/2014Q1/devel/hs-profunctor-extras/Makefile
  branches/2014Q1/devel/hs-profunctors/Makefile
  branches/2014Q1/devel/hs-project-template/Makefile
  branches/2014Q1/devel/hs-quickcheck-io/Makefile
  branches/2014Q1/devel/hs-random/Makefile
  branches/2014Q1/devel/hs-ranges/Makefile
  branches/2014Q1/devel/hs-readline/Makefile
  branches/2014Q1/devel/hs-reflection/Makefile
  branches/2014Q1/devel/hs-resource-pool/Makefile
  branches/2014Q1/devel/hs-resourcet/Makefile
  branches/2014Q1/devel/hs-safe/Makefile
  branches/2014Q1/devel/hs-setenv/Makefile
  branches/2014Q1/devel/hs-show/Makefile
  branches/2014Q1/devel/hs-silently/Makefile
  branches/2014Q1/devel/hs-simple-reflect/Makefile
  branches/2014Q1/devel/hs-smallcheck/Makefile
  branches/2014Q1/devel/hs-split/Makefile
  branches/2014Q1/devel/hs-stm/Makefile
  branches/2014Q1/devel/hs-strict/Makefile
  branches/2014Q1/devel/hs-syb-with-class-instances-text/Makefile
  branches/2014Q1/devel/hs-syb-with-class/Makefile
  branches/2014Q1/devel/hs-syb/Makefile
  branches/2014Q1/devel/hs-system-fileio/Makefile
  branches/2014Q1/devel/hs-system-filepath/Makefile
  branches/2014Q1/devel/hs-tagged/Makefile
  branches/2014Q1/devel/hs-temporary/Makefile
  branches/2014Q1/devel/hs-terminfo/Makefile
  branches/2014Q1/devel/hs-test-framework-hunit/Makefile
  branches/2014Q1/devel/hs-test-framework-quickcheck2/Makefile
  branches/2014Q1/devel/hs-test-framework/Makefile
  branches/2014Q1/devel/hs-testpack/Makefile
  branches/2014Q1/devel/hs-text/Makefile
  branches/2014Q1/devel/hs-threads/Makefile
  branches/2014Q1/devel/hs-threadscope/Makefile
  branches/2014Q1/devel/hs-time-compat/Makefile
  branches/2014Q1/devel/hs-timezone-olson/Makefile
  branches/2014Q1/devel/hs-timezone-series/Makefile
  branches/2014Q1/devel/hs-transformers-base/Makefile
  branches/2014Q1/devel/hs-transformers/Makefile
  branches/2014Q1/devel/hs-unamb/Makefile
  branches/2014Q1/devel/hs-uniplate/Makefile
  branches/2014Q1/devel/hs-unix-compat/Makefile
  branches/2014Q1/devel/hs-unix-time/Makefile
  branches/2014Q1/devel/hs-unordered-containers/Makefile
  branches/2014Q1/devel/hs-utf8-light/Makefile
  branches/2014Q1/devel/hs-utf8-string/Makefile
  branches/2014Q1/devel/hs-utility-ht/Makefile
  branches/2014Q1/devel/hs-uuagc-bootstrap/Makefile
  branches/2014Q1/devel/hs-uuagc-cabal/Makefile
  branches/2014Q1/devel/hs-uuagc/Makefile
  branches/2014Q1/devel/hs-uuid/Makefile
  branches/2014Q1/devel/hs-uulib/Makefile
  branches/2014Q1/devel/hs-vault/Makefile
  branches/2014Q1/devel/hs-vector-algorithms/Makefile
  branches/2014Q1/devel/hs-vector/Makefile
  branches/2014Q1/devel/hs-void/Makefile
  branches/2014Q1/devel/hs-word8/Makefile
  branches/2014Q1/ftp/hs-curl/Makefile
  branches/2014Q1/graphics/hs-HGL/Makefile
  branches/2014Q1/graphics/hs-cairo/Makefile
  branches/2014Q1/graphics/hs-dia-base/Makefile
  branches/2014Q1/graphics/hs-dia-functions/Makefile
  branches/2014Q1/graphics/hs-soegtk/Makefile
  branches/2014Q1/graphics/hs-svgcairo/Makefile
  branches/2014Q1/lang/ghc/Makefile
  branches/2014Q1/lang/hs-brainfuck/Makefile
  branches/2014Q1/lang/hs-epic/Makefile
  branches/2014Q1/lang/hs-unlambda/Makefile
  branches/2014Q1/mail/hs-email-validate/Makefile
  branches/2014Q1/mail/hs-mime-mail/Makefile
  branches/2014Q1/mail/hs-mime-types/Makefile
  branches/2014Q1/mail/hs-mime/Makefile
  branches/2014Q1/math/hs-Agda/Makefile
  branches/2014Q1/math/hs-NumInstances/Makefile
  branches/2014Q1/math/hs-categories/Makefile
  branches/2014Q1/math/hs-comonad-transformers/Makefile
  branches/2014Q1/math/hs-comonad/Makefile
  branches/2014Q1/math/hs-comonads-fd/Makefile
  branches/2014Q1/math/hs-contravariant/Makefile
  branches/2014Q1/math/hs-data-lens-template/Makefile
  branches/2014Q1/math/hs-data-lens/Makefile
  branches/2014Q1/math/hs-distributive/Makefile
  branches/2014Q1/math/hs-erf/Makefile
  branches/2014Q1/math/hs-groupoids/Makefile
  branches/2014Q1/math/hs-ieee754/Makefile
  branches/2014Q1/math/hs-math-functions/Makefile
  branches/2014Q1/math/hs-mwc-random/Makefile
  branches/2014Q1/math/hs-nats/Makefile
  branches/2014Q1/math/hs-pointed/Makefile
  branches/2014Q1/math/hs-probability/Makefile
  branches/2014Q1/math/hs-semigroupoid-extras/Makefile
  branches/2014Q1/math/hs-semigroupoids/Makefile
  branches/2014Q1/math/hs-semigroups/Makefile
  branches/2014Q1/math/hs-statistics/Makefile
  branches/2014Q1/math/hs-vector-space/Makefile
  branches/2014Q1/multimedia/hs-gstreamer/Makefile
  branches/2014Q1/net/hs-hostname/Makefile
  branches/2014Q1/net/hs-maccatcher/Makefile
  branches/2014Q1/net/hs-network-conduit/Makefile
  branches/2014Q1/net/hs-network-info/Makefile
  branches/2014Q1/net/hs-network-multicast/Makefile
  branches/2014Q1/net/hs-network/Makefile
  branches/2014Q1/net/hs-pcap/Makefile
  branches/2014Q1/net/hs-publicsuffixlist/Makefile
  branches/2014Q1/net/hs-sendfile/Makefile
  branches/2014Q1/net/hs-simple-sendfile/Makefile
  branches/2014Q1/net/hs-socks/Makefile
  branches/2014Q1/ports-mgmt/hs-porte/Makefile
  branches/2014Q1/print/hs-hscolour/Makefile
  branches/2014Q1/science/hs-bio/Makefile
  branches/2014Q1/security/hs-Crypto/Makefile
  branches/2014Q1/security/hs-HsOpenSSL/Makefile
  branches/2014Q1/security/hs-RSA/Makefile
  branches/2014Q1/security/hs-SHA/Makefile
  branches/2014Q1/security/hs-certificate/Makefile
  branches/2014Q1/security/hs-cipher-aes/Makefile
  branches/2014Q1/security/hs-cipher-rc4/Makefile
  branches/2014Q1/security/hs-clientsession/Makefile
  branches/2014Q1/security/hs-cprng-aes/Makefile
  branches/2014Q1/security/hs-crypto-api/Makefile
  branches/2014Q1/security/hs-crypto-conduit/Makefile
  branches/2014Q1/security/hs-crypto-numbers/Makefile
  branches/2014Q1/security/hs-crypto-pubkey-types/Makefile
  branches/2014Q1/security/hs-crypto-pubkey/Makefile
  branches/2014Q1/security/hs-crypto-random-api/Makefile
  branches/2014Q1/security/hs-cryptocipher/Makefile
  branches/2014Q1/security/hs-cryptohash/Makefile
  branches/2014Q1/security/hs-digest/Makefile
  branches/2014Q1/security/hs-entropy/Makefile
  branches/2014Q1/security/hs-monadcryptorandom/Makefile
  branches/2014Q1/security/hs-pem/Makefile
  branches/2014Q1/security/hs-pureMD5/Makefile
  branches/2014Q1/security/hs-pwstore-fast/Makefile
  branches/2014Q1/security/hs-skein/Makefile
  branches/2014Q1/security/hs-tls-extra/Makefile
  branches/2014Q1/security/hs-tls/Makefile
  branches/2014Q1/sysutils/hs-angel/Makefile
  branches/2014Q1/sysutils/hs-cpu/Makefile
  branches/2014Q1/textproc/hs-Diff/Makefile
  branches/2014Q1/textproc/hs-HStringTemplate/Makefile
  branches/2014Q1/textproc/hs-HaXml/Makefile
  branches/2014Q1/textproc/hs-attoparsec-conduit/Makefile
  branches/2014Q1/textproc/hs-attoparsec-enumerator/Makefile
  branches/2014Q1/textproc/hs-attoparsec/Makefile
  branches/2014Q1/textproc/hs-blaze-html/Makefile
  branches/2014Q1/textproc/hs-blaze-markup/Makefile
  branches/2014Q1/textproc/hs-bytestring-csv/Makefile
  branches/2014Q1/textproc/hs-case-insensitive/Makefile
  branches/2014Q1/textproc/hs-citeproc-hs/Makefile
  branches/2014Q1/textproc/hs-csv/Makefile
  branches/2014Q1/textproc/hs-double-conversion/Makefile
  branches/2014Q1/textproc/hs-feed/Makefile
  branches/2014Q1/textproc/hs-hexpat/Makefile
  branches/2014Q1/textproc/hs-highlighting-kate/Makefile
  branches/2014Q1/textproc/hs-hs-bibutils/Makefile
  branches/2014Q1/textproc/hs-html-conduit/Makefile
  branches/2014Q1/textproc/hs-html/Makefile
  branches/2014Q1/textproc/hs-hxt-charproperties/Makefile
  branches/2014Q1/textproc/hs-hxt-regex-xmlschema/Makefile
  branches/2014Q1/textproc/hs-hxt-unicode/Makefile
  branches/2014Q1/textproc/hs-hxt/Makefile
  branches/2014Q1/textproc/hs-lhs2tex/Makefile
  branches/2014Q1/textproc/hs-libxml/Makefile
  branches/2014Q1/textproc/hs-pandoc-types/Makefile
  branches/2014Q1/textproc/hs-pandoc/Makefile
  branches/2014Q1/textproc/hs-parsec/Makefile
  branches/2014Q1/textproc/hs-polyparse/Makefile
  branches/2014Q1/textproc/hs-regex-base/Makefile
  branches/2014Q1/textproc/hs-regex-compat/Makefile
  branches/2014Q1/textproc/hs-regex-pcre-builtin/Makefile
  branches/2014Q1/textproc/hs-regex-posix/Makefile
  branches/2014Q1/textproc/hs-regex-tdfa/Makefile
  branches/2014Q1/textproc/hs-stringsearch/Makefile
  branches/2014Q1/textproc/hs-tagsoup/Makefile
  branches/2014Q1/textproc/hs-tagstream-conduit/Makefile
  branches/2014Q1/textproc/hs-texmath/Makefile
  branches/2014Q1/textproc/hs-xhtml/Makefile
  branches/2014Q1/textproc/hs-xml-conduit/Makefile
  branches/2014Q1/textproc/hs-xml-types/Makefile
  branches/2014Q1/textproc/hs-xml/Makefile
  branches/2014Q1/textproc/hs-xmlhtml/Makefile
  branches/2014Q1/textproc/hs-yaml/Makefile
  branches/2014Q1/www/hs-HTTP/Makefile
  branches/2014Q1/www/hs-activehs/Makefile
  branches/2014Q1/www/hs-authenticate/Makefile
  branches/2014Q1/www/hs-cgi/Makefile
  branches/2014Q1/www/hs-cookie/Makefile
  branches/2014Q1/www/hs-css-text/Makefile
  branches/2014Q1/www/hs-fastcgi/Makefile
  branches/2014Q1/www/hs-gitit/Makefile
  branches/2014Q1/www/hs-hS3/Makefile
  branches/2014Q1/www/hs-hamlet/Makefile
  branches/2014Q1/www/hs-happstack-server/Makefile
  branches/2014Q1/www/hs-happstack/Makefile
  branches/2014Q1/www/hs-heist/Makefile
  branches/2014Q1/www/hs-hjsmin/Makefile
  branches/2014Q1/www/hs-http-conduit/Makefile
  branches/2014Q1/www/hs-http-date/Makefile
  branches/2014Q1/www/hs-http-reverse-proxy/Makefile
  branches/2014Q1/www/hs-http-server/Makefile
  branches/2014Q1/www/hs-http-types/Makefile
  branches/2014Q1/www/hs-oeis/Makefile
  branches/2014Q1/www/hs-path-pieces/Makefile
  branches/2014Q1/www/hs-recaptcha/Makefile
  branches/2014Q1/www/hs-scgi/Makefile
  branches/2014Q1/www/hs-shakespeare-css/Makefile
  branches/2014Q1/www/hs-shakespeare-i18n/Makefile
  branches/2014Q1/www/hs-shakespeare-js/Makefile
  branches/2014Q1/www/hs-shakespeare-text/Makefile
  branches/2014Q1/www/hs-shakespeare/Makefile
  branches/2014Q1/www/hs-snap-core/Makefile
  branches/2014Q1/www/hs-snap-server/Makefile
  branches/2014Q1/www/hs-snap/Makefile
  branches/2014Q1/www/hs-url/Makefile
  branches/2014Q1/www/hs-wai-app-static/Makefile
  branches/2014Q1/www/hs-wai-extra/Makefile
  branches/2014Q1/www/hs-wai-logger/Makefile
  branches/2014Q1/www/hs-wai-test/Makefile
  branches/2014Q1/www/hs-wai/Makefile
  branches/2014Q1/www/hs-warp/Makefile
  branches/2014Q1/www/hs-webkit/Makefile
  branches/2014Q1/www/hs-xss-sanitize/Makefile
  branches/2014Q1/www/hs-yesod-auth/Makefile
  branches/2014Q1/www/hs-yesod-core/Makefile
  branches/2014Q1/www/hs-yesod-form/Makefile
  branches/2014Q1/www/hs-yesod-persistent/Makefile
  branches/2014Q1/www/hs-yesod-platform/Makefile
  branches/2014Q1/www/hs-yesod-routes/Makefile
  branches/2014Q1/www/hs-yesod-static/Makefile
  branches/2014Q1/www/hs-yesod-test/Makefile
  branches/2014Q1/www/hs-yesod/Makefile
  branches/2014Q1/x11-toolkits/hs-GLURaw/Makefile
  branches/2014Q1/x11-toolkits/hs-GLUT/Makefile
  branches/2014Q1/x11-toolkits/hs-OpenGL/Makefile
  branches/2014Q1/x11-toolkits/hs-OpenGLRaw/Makefile
  branches/2014Q1/x11-toolkits/hs-gtk/Makefile
  branches/2014Q1/x11-toolkits/hs-gtk2hs/Makefile
  branches/2014Q1/x11-toolkits/hs-gtkglext/Makefile
  branches/2014Q1/x11-toolkits/hs-gtksourceview2/Makefile
  branches/2014Q1/x11-toolkits/hs-pango/Makefile
  branches/2014Q1/x11-toolkits/hs-vte/Makefile
  branches/2014Q1/x11-toolkits/hs-wx/Makefile
  branches/2014Q1/x11-toolkits/hs-wxc/Makefile
  branches/2014Q1/x11-toolkits/hs-wxcore/Makefile
  branches/2014Q1/x11-toolkits/hs-wxdirect/Makefile
  branches/2014Q1/x11-wm/hs-xmonad-contrib/Makefile
  branches/2014Q1/x11-wm/hs-xmonad/Makefile
  branches/2014Q1/x11/hs-X11-xft/Makefile
  branches/2014Q1/x11/hs-X11/Makefile
  branches/2014Q1/x11/hs-xmobar/Makefile
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/archivers/hs-tar/Makefile
==============================================================================
--- branches/2014Q1/archivers/hs-tar/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/archivers/hs-tar/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	tar
 PORTVERSION=	0.4.0.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/archivers/hs-zip-archive/Makefile
==============================================================================
--- branches/2014Q1/archivers/hs-zip-archive/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/archivers/hs-zip-archive/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zip-archive
 PORTVERSION=	0.1.3.4
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/archivers/hs-zlib-bindings/Makefile
==============================================================================
--- branches/2014Q1/archivers/hs-zlib-bindings/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/archivers/hs-zlib-bindings/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-bindings
 PORTVERSION=	0.1.1.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/archivers/hs-zlib-conduit/Makefile
==============================================================================
--- branches/2014Q1/archivers/hs-zlib-conduit/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/archivers/hs-zlib-conduit/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/archivers/hs-zlib-enum/Makefile
==============================================================================
--- branches/2014Q1/archivers/hs-zlib-enum/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/archivers/hs-zlib-enum/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	zlib-enum
 PORTVERSION=	0.2.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/archivers/hs-zlib/Makefile
==============================================================================
--- branches/2014Q1/archivers/hs-zlib/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/archivers/hs-zlib/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	zlib
 PORTVERSION=	0.5.4.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	archivers haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/audio/hs-ALUT/Makefile
==============================================================================
--- branches/2014Q1/audio/hs-ALUT/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/audio/hs-ALUT/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ALUT
 PORTVERSION=	2.2.0.0
-PORTREVISION=	11
+PORTREVISION=	12
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/audio/hs-OpenAL/Makefile
==============================================================================
--- branches/2014Q1/audio/hs-OpenAL/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/audio/hs-OpenAL/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	OpenAL
 PORTVERSION=	1.4.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/audio/hs-libmpd/Makefile
==============================================================================
--- branches/2014Q1/audio/hs-libmpd/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/audio/hs-libmpd/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	libmpd
 PORTVERSION=	0.8.0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/benchmarks/hs-criterion/Makefile
==============================================================================
--- branches/2014Q1/benchmarks/hs-criterion/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/benchmarks/hs-criterion/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	criterion
 PORTVERSION=	0.6.2.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	benchmarks haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/converters/hs-aeson/Makefile
==============================================================================
--- branches/2014Q1/converters/hs-aeson/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/converters/hs-aeson/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	aeson
 PORTVERSION=	0.6.1.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/converters/hs-dataenc/Makefile
==============================================================================
--- branches/2014Q1/converters/hs-dataenc/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/converters/hs-dataenc/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	dataenc
 PORTVERSION=	0.14.0.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/converters/hs-json/Makefile
==============================================================================
--- branches/2014Q1/converters/hs-json/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/converters/hs-json/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	json
 PORTVERSION=	0.7
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	converters haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/databases/hs-mysql/Makefile
==============================================================================
--- branches/2014Q1/databases/hs-mysql/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/databases/hs-mysql/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mysql
 PORTVERSION=	0.1.1.4
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/databases/hs-persistent-sqlite/Makefile
==============================================================================
--- branches/2014Q1/databases/hs-persistent-sqlite/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/databases/hs-persistent-sqlite/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent-sqlite
 PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/databases/hs-persistent-template/Makefile
==============================================================================
--- branches/2014Q1/databases/hs-persistent-template/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/databases/hs-persistent-template/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent-template
 PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/databases/hs-persistent/Makefile
==============================================================================
--- branches/2014Q1/databases/hs-persistent/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/databases/hs-persistent/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	persistent
 PORTVERSION=	1.2.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	databases haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-BNFC/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-BNFC/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-BNFC/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	BNFC
 PORTVERSION=	2.6.0.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-Boolean/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-Boolean/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-Boolean/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	Boolean
 PORTVERSION=	0.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-ConfigFile/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-ConfigFile/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-ConfigFile/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ConfigFile
 PORTVERSION=	1.1.1
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-HUnit/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-HUnit/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-HUnit/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	HUnit
 PORTVERSION=	1.2.5.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-IORefCAS/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-IORefCAS/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-IORefCAS/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	IORefCAS
 PORTVERSION=	0.2.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-IfElse/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-IfElse/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-IfElse/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	IfElse
 PORTVERSION=	0.85
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-List/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-List/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-List/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	List
 PORTVERSION=	0.5.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-MaybeT/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-MaybeT/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-MaybeT/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	MaybeT
 PORTVERSION=	0.1.2
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-MemoTrie/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-MemoTrie/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-MemoTrie/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MemoTrie
 PORTVERSION=	0.6.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-MissingH/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-MissingH/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-MissingH/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MissingH
 PORTVERSION=	1.2.0.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-MonadCatchIO-mtl/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-MonadCatchIO-mtl/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-MonadCatchIO-mtl/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	MonadCatchIO-mtl
 PORTVERSION=	0.3.0.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-MonadCatchIO-transformers/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-MonadCatchIO-transformers/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-MonadCatchIO-transformers/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	MonadCatchIO-transformers
 PORTVERSION=	0.3.0.0
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-MonadRandom/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-MonadRandom/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-MonadRandom/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	MonadRandom
 PORTVERSION=	0.1.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-ObjectName/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-ObjectName/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-ObjectName/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ObjectName
 PORTVERSION=	1.0.0.0
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-PSQueue/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-PSQueue/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-PSQueue/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	PSQueue
 PORTVERSION=	1.1
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-QuickCheck/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-QuickCheck/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-QuickCheck/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	QuickCheck
 PORTVERSION=	2.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-ReadArgs/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-ReadArgs/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-ReadArgs/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ReadArgs
 PORTVERSION=	1.2.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-SafeSemaphore/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-SafeSemaphore/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-SafeSemaphore/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	SafeSemaphore
 PORTVERSION=	0.9.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-StateVar/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-StateVar/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-StateVar/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	StateVar
 PORTVERSION=	1.0.0.0
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-Stream/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-Stream/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-Stream/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	Stream
 PORTVERSION=	0.4.6.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-Tensor/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-Tensor/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-Tensor/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	Tensor
 PORTVERSION=	1.0.0.1
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-TypeCompose/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-TypeCompose/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-TypeCompose/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	TypeCompose
 PORTVERSION=	0.9.9
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-abstract-deque/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-abstract-deque/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-abstract-deque/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	abstract-deque
 PORTVERSION=	0.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-abstract-par/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-abstract-par/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-abstract-par/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	abstract-par
 PORTVERSION=	0.3.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-activehs-base/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-activehs-base/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-activehs-base/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	activehs-base
 PORTVERSION=	0.3.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-alex/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-alex/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-alex/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	alex
 PORTVERSION=	3.0.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-ansi-terminal/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-ansi-terminal/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-ansi-terminal/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ansi-terminal
 PORTVERSION=	0.6
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-ansi-wl-pprint/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-ansi-wl-pprint/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-ansi-wl-pprint/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	ansi-wl-pprint
 PORTVERSION=	0.6.6
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-arrows/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-arrows/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-arrows/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	arrows
 PORTVERSION=	0.4.4.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-asn1-data/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-asn1-data/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-asn1-data/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	asn1-data
 PORTVERSION=	0.7.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-asn1-types/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-asn1-types/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-asn1-types/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	asn1-types
 PORTVERSION=	0.1.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-async/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-async/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-async/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	async
 PORTVERSION=	2.0.1.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-attempt/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-attempt/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-attempt/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	attempt
 PORTVERSION=	0.4.0
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-base-unicode-symbols/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-base-unicode-symbols/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-base-unicode-symbols/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base-unicode-symbols
 PORTVERSION=	0.2.2.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-base16-bytestring/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-base16-bytestring/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-base16-bytestring/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base16-bytestring
 PORTVERSION=	0.1.1.5
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-base64-bytestring/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-base64-bytestring/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-base64-bytestring/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base64-bytestring
 PORTVERSION=	1.0.0.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-base64-conduit/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-base64-conduit/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-base64-conduit/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	base64-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-basic-prelude/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-basic-prelude/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-basic-prelude/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	basic-prelude
 PORTVERSION=	0.3.5.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-bifunctors/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-bifunctors/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-bifunctors/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bifunctors
 PORTVERSION=	3.2.0.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-bits-atomic/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-bits-atomic/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-bits-atomic/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bits-atomic
 PORTVERSION=	0.1.3
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-blaze-builder-conduit/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-blaze-builder-conduit/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-blaze-builder-conduit/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-builder-conduit
 PORTVERSION=	1.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-blaze-builder-enumerator/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-blaze-builder-enumerator/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-blaze-builder-enumerator/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-builder-enumerator
 PORTVERSION=	0.2.0.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-blaze-builder/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-blaze-builder/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-blaze-builder/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-builder
 PORTVERSION=	0.3.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-blaze-textual/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-blaze-textual/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-blaze-textual/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	blaze-textual
 PORTVERSION=	0.2.0.8
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-bloomfilter/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-bloomfilter/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-bloomfilter/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bloomfilter
 PORTVERSION=	1.2.6.10
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-bsd-sysctl/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-bsd-sysctl/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-bsd-sysctl/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	bsd-sysctl
 PORTVERSION=	1.0.7
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-byteorder/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-byteorder/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-byteorder/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	byteorder
 PORTVERSION=	1.0.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-bytestring-nums/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-bytestring-nums/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-bytestring-nums/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bytestring-nums
 PORTVERSION=	0.3.6
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-bytestring-show/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-bytestring-show/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-bytestring-show/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	bytestring-show
 PORTVERSION=	0.3.5.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-c2hs/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-c2hs/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-c2hs/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	c2hs
 PORTVERSION=	0.16.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-cabal-install/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-cabal-install/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-cabal-install/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cabal-install
 PORTVERSION=	1.16.0.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-cereal/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-cereal/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-cereal/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cereal
 PORTVERSION=	0.3.5.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-checkers/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-checkers/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-checkers/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	checkers
 PORTVERSION=	0.3.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-classy-prelude-conduit/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-classy-prelude-conduit/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-classy-prelude-conduit/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	classy-prelude-conduit
 PORTVERSION=	0.5.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-classy-prelude/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-classy-prelude/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-classy-prelude/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	classy-prelude
 PORTVERSION=	0.5.7
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-cmdargs/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-cmdargs/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-cmdargs/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cmdargs
 PORTVERSION=	0.10.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-conduit/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-conduit/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-conduit/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	conduit
 PORTVERSION=	1.0.5
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-configurator/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-configurator/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-configurator/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	configurator
 PORTVERSION=	0.2.0.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-convertible/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-convertible/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-convertible/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	convertible
 PORTVERSION=	1.0.11.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-cpphs/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-cpphs/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-cpphs/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cpphs
 PORTVERSION=	1.16
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-darcs/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-darcs/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-darcs/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	darcs
 PORTVERSION=	2.8.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-default-class/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-default-class/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-default-class/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-class
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-default-instances-base/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-default-instances-base/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-default-instances-base/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-base
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-default-instances-containers/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-default-instances-containers/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-default-instances-containers/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-containers
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-default-instances-dlist/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-default-instances-dlist/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-default-instances-dlist/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-dlist
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-default-instances-old-locale/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-default-instances-old-locale/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-default-instances-old-locale/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default-instances-old-locale
 PORTVERSION=	0.0.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-default/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-default/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-default/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-default
 PORTVERSION=	0.5.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-data-pprint/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-data-pprint/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-data-pprint/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	data-pprint
 PORTVERSION=	0.2.1.4
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-date-cache/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-date-cache/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-date-cache/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	date-cache
 PORTVERSION=	0.3.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-datetime/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-datetime/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-datetime/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	datetime
 PORTVERSION=	0.2.1
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-directory-tree/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-directory-tree/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-directory-tree/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	directory-tree
 PORTVERSION=	0.11.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-dlist/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-dlist/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-dlist/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -3,7 +3,7 @@
 
 PORTNAME=	dlist
 PORTVERSION=	0.5
-PORTREVISION=	10
+PORTREVISION=	11
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-edit-distance/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-edit-distance/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-edit-distance/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	edit-distance
 PORTVERSION=	0.2.1.2
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: branches/2014Q1/devel/hs-either/Makefile
==============================================================================
--- branches/2014Q1/devel/hs-either/Makefile	Sun Jan 12 15:20:47 2014	(r339516)
+++ branches/2014Q1/devel/hs-either/Makefile	Sun Jan 12 15:45:46 2014	(r339517)
@@ -2,7 +2,7 @@
 
 PORTNAME=	either
 PORTVERSION=	3.4
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel haskell
 

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Gabor Pali freebsd_committer 2014-01-12 16:07:11 UTC
State Changed
From-To: patched->closed

Merged to 2014Q1.